poppunk 2.6.1-foss-2022a

Unsupported: Use of this version of poppunk is not supported. More information on our Applications Support and Retention Policy.

PopPUNK is a tool for clustering genomes. We refer to the clusters as variable-length-k-mer clusters, or VLKCs. Biologically, these clusters typically represent distinct strains. We refer to subclusters of strains as lineages.

Accessing poppunk 2.6.1-foss-2022a

To load the module for poppunk 2.6.1-foss-2022a please use this command on the BEAR systems (BlueBEAR, BEAR Cloud VMs, and CaStLeS VMs):

module load bear-apps-unsupported/handbuilt/2019
module load poppunk/2.6.1-foss-2022a

BEAR Apps Version

2019h

Extensions

  • poppunk 2.6.1
  • treeswift 1.1.33

More Information

For more information visit the poppunk website.

Dependencies

This version of poppunk has a direct dependency on: Biopython/1.79-foss-2022a Boost/1.79.0-GCC-11.3.0 Eigen/3.4.0-GCCcore-11.3.0 foss/2022a graph-tool/2.55-foss-2022a h5py/3.7.0-foss-2022a HDBSCAN/0.8.29-foss-2022a mandrake/1.2.2-foss-2022a matplotlib/3.5.2-foss-2022a networkx/2.8.4-foss-2022a numba/0.56.4-foss-2022a pp-sketchlib/2.1.1-foss-2022a pybind11/2.9.2-GCCcore-11.3.0 Python/3.10.4-GCCcore-11.3.0 rapidNJ/2.3.3-GCCcore-11.3.0 scikit-learn/1.1.2-foss-2022a SciPy-bundle/2022.05-foss-2022a tqdm/4.64.0-GCCcore-11.3.0 X11/20220504-GCCcore-11.3.0

Last modified on 15th November 2023